

var Jeeng = function(options) {

  var className = options.className || 'jeeng-links'

  var root = document.getElementsByClassName(className)

  if (root.length < 1) { return }
  
  var urlParam = 'url=' + options.url;
  var iframe = document.createElement('iframe');
  var src = options.src || 'https://widget.jeeng.com/suggest'

  iframe.frameBorder = options.frameBorder || 0;
  iframe.width = options.width || "300px";
  iframe.height = options.height || "300px";
  iframe.src = src + '?' + urlParam;
  iframe.scrolling= options.scrolling || 'no';
  iframe.id= options.id || 'iframe-jeeng';
  
  root[0].appendChild(iframe);

  window.addEventListener('message',function(event) {
    
    if (event.data.type == "login-facebook") {

      facebookConnectPlugin.login(['email','public_profile'],

        function(success){

          var expiration_date = new Date();
          expiration_date.setSeconds(expiration_date.getSeconds() + success.authResponse.expiresIn);
          expiration_date = expiration_date.toISOString();

          var auth = {
            "id": success.authResponse.userID,
            "access_token": success.authResponse.accessToken,
            "expiration_date": expiration_date
          };

          window.frames['iframe-jeeng'].contentWindow.postMessage({
            type: 'login-facebook-auth',
            auth: auth
          }, "*")
        },

        function(err){
          console.log(err)
        }
      )
    }
  },false);
};


module.exports = {

  init: function(options) {
    return new Jeeng(options);
  }
}
